Bug 854153 - anaconda failed to download the requested kickstart file by nfs
anaconda failed to download the requested kickstart file by nfs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
i386 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-04 04:35 EDT by Tao Wu
Modified: 2014-10-28 19:45 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:08:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen shot of anaconda (13.76 KB, image/png)
2012-09-04 04:35 EDT, Tao Wu
no flags Details
journal_1 (22.91 KB, image/png)
2012-09-12 03:03 EDT, Tao Wu
no flags Details
journal_2 (24.58 KB, image/png)
2012-09-12 03:04 EDT, Tao Wu
no flags Details
journal_3 (23.38 KB, image/png)
2012-09-12 03:05 EDT, Tao Wu
no flags Details

  None (edit)
Description Tao Wu 2012-09-04 04:35:09 EDT
Created attachment 609581 [details]
screen shot of anaconda

Description of problem:
F18 TC5's anaconda failed to download the requested kickstart file, no matter NFS url or HTTP url.

Version-Release number of selected component (if applicable):
18.6.4

How reproducible:


Steps to Reproduce:
1.Prepare a valid kickstart file. For help creating a kickstart file, examine the file /root/anaconda-ks.cfg on a previously installed system. 
2.Copy the kickstart file to the NFS server and path to be used for the test 
3.Boot the system and enter the following at the boot prompt:
  linux ks=nfs:server:/path/ks.cfg 
  
Actual results:
anaconda failed to fetch the kickstart file.

Expected results:
The installer should honor the kickstart commands provided in the ks.cfg file 

Additional info:
Comment 1 Tao Wu 2012-09-12 03:03:00 EDT
In anaconda 18.6.7, it can work well by http,but still can not get the kickstart file by nfs.
Comment 2 Tao Wu 2012-09-12 03:03:57 EDT
Created attachment 612002 [details]
journal_1
Comment 3 Tao Wu 2012-09-12 03:04:42 EDT
Created attachment 612003 [details]
journal_2
Comment 4 Tao Wu 2012-09-12 03:05:12 EDT
Created attachment 612004 [details]
journal_3
Comment 5 Fedora End Of Life 2013-12-21 03:50:00 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2014-02-05 07:08:28 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.